export TRACK_JET_RADIUS=10

# Check and delete broken files in current directory, ALL, and GEN subfolders
# for file in ./*.root ./default/*.root; do
for file in ./*.root ./ALL/*.root ./GEN/*.root; do
  if [ -f "$file" ]; then  # Ensure the file exists
    root -b -q -l -e "TFile* f = TFile::Open(\"$file\"); if (!(f && f->IsOpen()) || f->IsZombie() || f->TestBit(TFile::kRecovered)) { std::cout << \"$file is broken or corrupted. Deleting...\" << std::endl; gSystem->Exec(\"rm '$file'\"); } else { std::cout << \"$file is OK.\" << std::endl; } delete f;" 2>/dev/null
  fi
done

python /global/homes/m/mmuskinj/work/Charm/charmplot/charmplot/config/charm_frag/make_wplusd_yaml.py

python /global/homes/m/mmuskinj/work/Charm/charmplot/charmplot/scripts/plot_data_mc.py -a ./charm_frag_diff.yaml -v Dmeson_m_fit,Dmeson_track_jet_${TRACK_JET_RADIUS}_zt_unfold,Dmeson_track_jet_${TRACK_JET_RADIUS}_zl_unfold -c OS_0tag_Dplus_PR_jet_bin_0,OS_0tag_Dplus_LS_jet_bin_0,OS_0tag_Dplus_RS_jet_bin_0,SS_0tag_Dplus_PR_jet_bin_0,SS_0tag_Dplus_LS_jet_bin_0,SS_0tag_Dplus_RS_jet_bin_0,OS_1tag_Dplus_PR_jet_bin_0,OS_1tag_Dplus_LS_jet_bin_0,OS_1tag_Dplus_RS_jet_bin_0,SS_1tag_Dplus_PR_jet_bin_0,SS_1tag_Dplus_LS_jet_bin_0,SS_1tag_Dplus_RS_jet_bin_0,OS_2tag_Dplus_PR_jet_bin_0,OS_2tag_Dplus_LS_jet_bin_0,OS_2tag_Dplus_RS_jet_bin_0,SS_2tag_Dplus_PR_jet_bin_0,SS_2tag_Dplus_LS_jet_bin_0,SS_2tag_Dplus_RS_jet_bin_0,OS_0tag_Dplus_PR_jet_bin_1,OS_0tag_Dplus_LS_jet_bin_1,OS_0tag_Dplus_RS_jet_bin_1,SS_0tag_Dplus_PR_jet_bin_1,SS_0tag_Dplus_LS_jet_bin_1,SS_0tag_Dplus_RS_jet_bin_1,OS_1tag_Dplus_PR_jet_bin_1,OS_1tag_Dplus_LS_jet_bin_1,OS_1tag_Dplus_RS_jet_bin_1,SS_1tag_Dplus_PR_jet_bin_1,SS_1tag_Dplus_LS_jet_bin_1,SS_1tag_Dplus_RS_jet_bin_1,OS_2tag_Dplus_PR_jet_bin_1,OS_2tag_Dplus_LS_jet_bin_1,OS_2tag_Dplus_RS_jet_bin_1,SS_2tag_Dplus_PR_jet_bin_1,SS_2tag_Dplus_LS_jet_bin_1,SS_2tag_Dplus_RS_jet_bin_1,OS_0tag_Dplus_PR_jet_bin_2,OS_0tag_Dplus_LS_jet_bin_2,OS_0tag_Dplus_RS_jet_bin_2,SS_0tag_Dplus_PR_jet_bin_2,SS_0tag_Dplus_LS_jet_bin_2,SS_0tag_Dplus_RS_jet_bin_2,OS_1tag_Dplus_PR_jet_bin_2,OS_1tag_Dplus_LS_jet_bin_2,OS_1tag_Dplus_RS_jet_bin_2,SS_1tag_Dplus_PR_jet_bin_2,SS_1tag_Dplus_LS_jet_bin_2,SS_1tag_Dplus_RS_jet_bin_2,OS_2tag_Dplus_PR_jet_bin_2,OS_2tag_Dplus_LS_jet_bin_2,OS_2tag_Dplus_RS_jet_bin_2,SS_2tag_Dplus_PR_jet_bin_2,SS_2tag_Dplus_LS_jet_bin_2,SS_2tag_Dplus_RS_jet_bin_2,OS_0tag_Dplus_PR_jet_bin_3,OS_0tag_Dplus_LS_jet_bin_3,OS_0tag_Dplus_RS_jet_bin_3,SS_0tag_Dplus_PR_jet_bin_3,SS_0tag_Dplus_LS_jet_bin_3,SS_0tag_Dplus_RS_jet_bin_3,OS_1tag_Dplus_PR_jet_bin_3,OS_1tag_Dplus_LS_jet_bin_3,OS_1tag_Dplus_RS_jet_bin_3,SS_1tag_Dplus_PR_jet_bin_3,SS_1tag_Dplus_LS_jet_bin_3,SS_1tag_Dplus_RS_jet_bin_3,OS_2tag_Dplus_PR_jet_bin_3,OS_2tag_Dplus_LS_jet_bin_3,OS_2tag_Dplus_RS_jet_bin_3,SS_2tag_Dplus_PR_jet_bin_3,SS_2tag_Dplus_LS_jet_bin_3,SS_2tag_Dplus_RS_jet_bin_3,OS_0tag_Dplus_PR,OS_0tag_Dplus_LS,OS_0tag_Dplus_RS,SS_0tag_Dplus_PR,SS_0tag_Dplus_LS,SS_0tag_Dplus_RS,OS_1tag_Dplus_PR,OS_1tag_Dplus_LS,OS_1tag_Dplus_RS,SS_1tag_Dplus_PR,SS_1tag_Dplus_LS,SS_1tag_Dplus_RS,OS_2tag_Dplus_PR,OS_2tag_Dplus_LS,OS_2tag_Dplus_RS,SS_2tag_Dplus_PR,SS_2tag_Dplus_LS,SS_2tag_Dplus_RS --suffix mock_mc --no-sys -t 4

python /global/homes/m/mmuskinj/work/Charm/charmplot/macros/make_offset_and_symm_histograms.py -i charm_frag_diff_mock_mc/histograms.root -d Dplus --differential-bins

python /global/homes/m/mmuskinj/work/Charm/charmplot/charmplot/scripts/plot_data_mc.py -a ./charm_frag_diff.yaml -v Dmeson_track_jet_${TRACK_JET_RADIUS}_zt_unfold,Dmeson_track_jet_${TRACK_JET_RADIUS}_zl_unfold,Dmeson_track_jet_${TRACK_JET_RADIUS}_pt,Dmeson_pt,Dmeson_m_fit --suffix pre_fit --no-sys -c OS_0tag_Dplus_jet_bin_0,SS_0tag_Dplus_jet_bin_0,OS_0tag_Dplus_jet_bin_1,SS_0tag_Dplus_jet_bin_1,OS_0tag_Dplus_jet_bin_2,SS_0tag_Dplus_jet_bin_2,OS_0tag_Dplus_jet_bin_3,SS_0tag_Dplus_jet_bin_3,OS_1tag_Dplus_jet_bin_0,SS_1tag_Dplus_jet_bin_0,OS_1tag_Dplus_jet_bin_1,SS_1tag_Dplus_jet_bin_1,OS_1tag_Dplus_jet_bin_2,SS_1tag_Dplus_jet_bin_2,OS_1tag_Dplus_jet_bin_3,SS_1tag_Dplus_jet_bin_3,OS_2tag_Dplus_jet_bin_0,SS_2tag_Dplus_jet_bin_0,OS_2tag_Dplus_jet_bin_1,SS_2tag_Dplus_jet_bin_1,OS_2tag_Dplus_jet_bin_2,SS_2tag_Dplus_jet_bin_2,OS_2tag_Dplus_jet_bin_3,SS_2tag_Dplus_jet_bin_3,OS_0tag_Dplus_PR_jet_bin_0,SS_0tag_Dplus_PR_jet_bin_0,OS_0tag_Dplus_PR_jet_bin_1,SS_0tag_Dplus_PR_jet_bin_1,OS_0tag_Dplus_PR_jet_bin_2,SS_0tag_Dplus_PR_jet_bin_2,OS_0tag_Dplus_PR_jet_bin_3,SS_0tag_Dplus_PR_jet_bin_3,OS_1tag_Dplus_PR_jet_bin_0,SS_1tag_Dplus_PR_jet_bin_0,OS_1tag_Dplus_PR_jet_bin_1,SS_1tag_Dplus_PR_jet_bin_1,OS_1tag_Dplus_PR_jet_bin_2,SS_1tag_Dplus_PR_jet_bin_2,OS_1tag_Dplus_PR_jet_bin_3,SS_1tag_Dplus_PR_jet_bin_3,OS_2tag_Dplus_PR_jet_bin_0,SS_2tag_Dplus_PR_jet_bin_0,OS_2tag_Dplus_PR_jet_bin_1,SS_2tag_Dplus_PR_jet_bin_1,OS_2tag_Dplus_PR_jet_bin_2,SS_2tag_Dplus_PR_jet_bin_2,OS_2tag_Dplus_PR_jet_bin_3,SS_2tag_Dplus_PR_jet_bin_3,OS-SS_0tag_Dplus_jet_bin_0,OS-SS_0tag_Dplus_jet_bin_1,OS-SS_0tag_Dplus_jet_bin_2,OS-SS_0tag_Dplus_jet_bin_3,OS-SS_1tag_Dplus_jet_bin_0,OS-SS_1tag_Dplus_jet_bin_1,OS-SS_1tag_Dplus_jet_bin_2,OS-SS_1tag_Dplus_jet_bin_3,OS-SS_2tag_Dplus_jet_bin_0,OS-SS_2tag_Dplus_jet_bin_1,OS-SS_2tag_Dplus_jet_bin_2,OS-SS_2tag_Dplus_jet_bin_3,OS-SS_0tag_Dplus,OS_0tag_Dplus,SS_0tag_Dplus -t 4

python /global/homes/m/mmuskinj/work/Charm/charmplot/charmplot/scripts/plot_data_mc.py -a ./charm_frag_diff.yaml -v Dmeson_m_fit -c OS_0tag_Dplus_jet_bin_0,SS_0tag_Dplus_jet_bin_0,OS_0tag_Dplus_jet_bin_1,SS_0tag_Dplus_jet_bin_1,OS_0tag_Dplus_jet_bin_2,SS_0tag_Dplus_jet_bin_2,OS_0tag_Dplus_jet_bin_3,SS_0tag_Dplus_jet_bin_3,OS_1tag_Dplus_jet_bin_0,SS_1tag_Dplus_jet_bin_0,OS_1tag_Dplus_jet_bin_1,SS_1tag_Dplus_jet_bin_1,OS_1tag_Dplus_jet_bin_2,SS_1tag_Dplus_jet_bin_2,OS_1tag_Dplus_jet_bin_3,SS_1tag_Dplus_jet_bin_3,OS_2tag_Dplus_jet_bin_0,SS_2tag_Dplus_jet_bin_0,OS_2tag_Dplus_jet_bin_1,SS_2tag_Dplus_jet_bin_1,OS_2tag_Dplus_jet_bin_2,SS_2tag_Dplus_jet_bin_2,OS_2tag_Dplus_jet_bin_3,SS_2tag_Dplus_jet_bin_3 --trex fit --suffix Dmeson_m_fit -t 16

python /global/homes/m/mmuskinj/work/Charm/charmplot/charmplot/scripts/plot_data_mc.py -a ./charm_frag_diff.yaml -v Dmeson_track_jet_${TRACK_JET_RADIUS}_zt_unfold -c OS_0tag_Dplus_PR_jet_bin_0,SS_0tag_Dplus_PR_jet_bin_0,OS_0tag_Dplus_PR_jet_bin_1,SS_0tag_Dplus_PR_jet_bin_1,OS_0tag_Dplus_PR_jet_bin_2,SS_0tag_Dplus_PR_jet_bin_2,OS_0tag_Dplus_PR_jet_bin_3,SS_0tag_Dplus_PR_jet_bin_3,OS_1tag_Dplus_PR_jet_bin_0,SS_1tag_Dplus_PR_jet_bin_0,OS_1tag_Dplus_PR_jet_bin_1,SS_1tag_Dplus_PR_jet_bin_1,OS_1tag_Dplus_PR_jet_bin_2,SS_1tag_Dplus_PR_jet_bin_2,OS_1tag_Dplus_PR_jet_bin_3,SS_1tag_Dplus_PR_jet_bin_3,OS_2tag_Dplus_PR_jet_bin_0,SS_2tag_Dplus_PR_jet_bin_0,OS_2tag_Dplus_PR_jet_bin_1,SS_2tag_Dplus_PR_jet_bin_1,OS_2tag_Dplus_PR_jet_bin_2,SS_2tag_Dplus_PR_jet_bin_2,OS_2tag_Dplus_PR_jet_bin_3,SS_2tag_Dplus_PR_jet_bin_3 --trex fit --suffix Dmeson_zt -t 16

python /global/homes/m/mmuskinj/work/Charm/charmplot/charmplot/scripts/plot_data_mc.py -a ./charm_frag_diff.yaml -v Dmeson_track_jet_${TRACK_JET_RADIUS}_zl_unfold -c OS_0tag_Dplus_PR_jet_bin_0,SS_0tag_Dplus_PR_jet_bin_0,OS_0tag_Dplus_PR_jet_bin_1,SS_0tag_Dplus_PR_jet_bin_1,OS_0tag_Dplus_PR_jet_bin_2,SS_0tag_Dplus_PR_jet_bin_2,OS_0tag_Dplus_PR_jet_bin_3,SS_0tag_Dplus_PR_jet_bin_3,OS_1tag_Dplus_PR_jet_bin_0,SS_1tag_Dplus_PR_jet_bin_0,OS_1tag_Dplus_PR_jet_bin_1,SS_1tag_Dplus_PR_jet_bin_1,OS_1tag_Dplus_PR_jet_bin_2,SS_1tag_Dplus_PR_jet_bin_2,OS_1tag_Dplus_PR_jet_bin_3,SS_1tag_Dplus_PR_jet_bin_3,OS_2tag_Dplus_PR_jet_bin_0,SS_2tag_Dplus_PR_jet_bin_0,OS_2tag_Dplus_PR_jet_bin_1,SS_2tag_Dplus_PR_jet_bin_1,OS_2tag_Dplus_PR_jet_bin_2,SS_2tag_Dplus_PR_jet_bin_2,OS_2tag_Dplus_PR_jet_bin_3,SS_2tag_Dplus_PR_jet_bin_3 --trex fit --suffix Dmeson_zl -t 16

python /global/homes/m/mmuskinj/work/Charm/charmplot/charmplot/scripts/plot_data_mc.py -a ./charm_frag_diff.yaml -v Dmeson_pt -c OS_0tag_Dplus_PR_jet_bin_0,SS_0tag_Dplus_PR_jet_bin_0,OS_0tag_Dplus_PR_jet_bin_1,SS_0tag_Dplus_PR_jet_bin_1,OS_0tag_Dplus_PR_jet_bin_2,SS_0tag_Dplus_PR_jet_bin_2,OS_0tag_Dplus_PR_jet_bin_3,SS_0tag_Dplus_PR_jet_bin_3,OS_1tag_Dplus_PR_jet_bin_0,SS_1tag_Dplus_PR_jet_bin_0,OS_1tag_Dplus_PR_jet_bin_1,SS_1tag_Dplus_PR_jet_bin_1,OS_1tag_Dplus_PR_jet_bin_2,SS_1tag_Dplus_PR_jet_bin_2,OS_1tag_Dplus_PR_jet_bin_3,SS_1tag_Dplus_PR_jet_bin_3,OS_2tag_Dplus_PR_jet_bin_0,SS_2tag_Dplus_PR_jet_bin_0,OS_2tag_Dplus_PR_jet_bin_1,SS_2tag_Dplus_PR_jet_bin_1,OS_2tag_Dplus_PR_jet_bin_2,SS_2tag_Dplus_PR_jet_bin_2,OS_2tag_Dplus_PR_jet_bin_3,SS_2tag_Dplus_PR_jet_bin_3 --trex fit --suffix Dmeson_pt -t 16

python /global/homes/m/mmuskinj/work/Charm/charmplot/charmplot/scripts/plot_data_mc.py -a ./charm_frag_diff.yaml -v Dmeson_track_jet_${TRACK_JET_RADIUS}_pt -c OS_0tag_Dplus_PR_jet_bin_0,SS_0tag_Dplus_PR_jet_bin_0,OS_0tag_Dplus_PR_jet_bin_1,SS_0tag_Dplus_PR_jet_bin_1,OS_0tag_Dplus_PR_jet_bin_2,SS_0tag_Dplus_PR_jet_bin_2,OS_0tag_Dplus_PR_jet_bin_3,SS_0tag_Dplus_PR_jet_bin_3,OS_1tag_Dplus_PR_jet_bin_0,SS_1tag_Dplus_PR_jet_bin_0,OS_1tag_Dplus_PR_jet_bin_1,SS_1tag_Dplus_PR_jet_bin_1,OS_1tag_Dplus_PR_jet_bin_2,SS_1tag_Dplus_PR_jet_bin_2,OS_1tag_Dplus_PR_jet_bin_3,SS_1tag_Dplus_PR_jet_bin_3,OS_2tag_Dplus_PR_jet_bin_0,SS_2tag_Dplus_PR_jet_bin_0,OS_2tag_Dplus_PR_jet_bin_1,SS_2tag_Dplus_PR_jet_bin_1,OS_2tag_Dplus_PR_jet_bin_2,SS_2tag_Dplus_PR_jet_bin_2,OS_2tag_Dplus_PR_jet_bin_3,SS_2tag_Dplus_PR_jet_bin_3 --trex fit --suffix Dmeson_jet_pt -t 16

python /global/homes/m/mmuskinj/work/Charm/charmplot/charmplot/scripts/plot_data_mc.py -a ./charm_frag_diff.yaml -v Dmeson_track_jet_${TRACK_JET_RADIUS}_zt_unfold -c OS_0tag_Dplus_LS_jet_bin_0,SS_0tag_Dplus_LS_jet_bin_0,OS_0tag_Dplus_LS_jet_bin_1,SS_0tag_Dplus_LS_jet_bin_1,OS_0tag_Dplus_LS_jet_bin_2,SS_0tag_Dplus_LS_jet_bin_2,OS_0tag_Dplus_LS_jet_bin_3,SS_0tag_Dplus_LS_jet_bin_3,OS_1tag_Dplus_LS_jet_bin_0,SS_1tag_Dplus_LS_jet_bin_0,OS_1tag_Dplus_LS_jet_bin_1,SS_1tag_Dplus_LS_jet_bin_1,OS_1tag_Dplus_LS_jet_bin_2,SS_1tag_Dplus_LS_jet_bin_2,OS_1tag_Dplus_LS_jet_bin_3,SS_1tag_Dplus_LS_jet_bin_3,OS_2tag_Dplus_LS_jet_bin_0,SS_2tag_Dplus_LS_jet_bin_0,OS_2tag_Dplus_LS_jet_bin_1,SS_2tag_Dplus_LS_jet_bin_1,OS_2tag_Dplus_LS_jet_bin_2,SS_2tag_Dplus_LS_jet_bin_2,OS_2tag_Dplus_LS_jet_bin_3,SS_2tag_Dplus_LS_jet_bin_3 --trex fit --suffix Dmeson_zt_LS -t 16

python /global/homes/m/mmuskinj/work/Charm/charmplot/charmplot/scripts/plot_data_mc.py -a ./charm_frag_diff.yaml -v Dmeson_track_jet_${TRACK_JET_RADIUS}_zt_unfold -c OS_0tag_Dplus_RS_jet_bin_0,SS_0tag_Dplus_RS_jet_bin_0,OS_0tag_Dplus_RS_jet_bin_1,SS_0tag_Dplus_RS_jet_bin_1,OS_0tag_Dplus_RS_jet_bin_2,SS_0tag_Dplus_RS_jet_bin_2,OS_0tag_Dplus_RS_jet_bin_3,SS_0tag_Dplus_RS_jet_bin_3,OS_1tag_Dplus_RS_jet_bin_0,SS_1tag_Dplus_RS_jet_bin_0,OS_1tag_Dplus_RS_jet_bin_1,SS_1tag_Dplus_RS_jet_bin_1,OS_1tag_Dplus_RS_jet_bin_2,SS_1tag_Dplus_RS_jet_bin_2,OS_1tag_Dplus_RS_jet_bin_3,SS_1tag_Dplus_RS_jet_bin_3,OS_2tag_Dplus_RS_jet_bin_0,SS_2tag_Dplus_RS_jet_bin_0,OS_2tag_Dplus_RS_jet_bin_1,SS_2tag_Dplus_RS_jet_bin_1,OS_2tag_Dplus_RS_jet_bin_2,SS_2tag_Dplus_RS_jet_bin_2,OS_2tag_Dplus_RS_jet_bin_3,SS_2tag_Dplus_RS_jet_bin_3 --trex fit --suffix Dmeson_zt_RS -t 16

source /global/homes/m/mmuskinj/work/Charm/charmplot/charmplot/config/charm_frag/merge_trex_files.sh

python /global/homes/m/mmuskinj/work/Charm/charmplot/charmplot/config/charm_frag/merge_trex_postfit.py -i /global/cfs/cdirs/atlas/wcharm/trex_frag/charm_frag_9_R${TRACK_JET_RADIUS}_v1/wplusd_madgraph/Histograms/ -r ${TRACK_JET_RADIUS}

python /global/homes/m/mmuskinj/work/Charm/charmplot/charmplot/config/charm_frag/merge_trex_postfit.py -i /global/cfs/cdirs/atlas/wcharm/trex_frag/charm_frag_9_R${TRACK_JET_RADIUS}_v1/wplusd_madgraph_asimov/Histograms/ -r ${TRACK_JET_RADIUS}

# Main post-fit plots
python /global/homes/m/mmuskinj/work/Charm/charmplot/charmplot/scripts/plot_post_fit.py -a ./charm_frag_diff.yaml --trex-input /global/cfs/cdirs/atlas/wcharm/trex_frag/charm_frag_9_R${TRACK_JET_RADIUS}_v1/wplusd_madgraph -v Dmeson_m_fit

python /global/homes/m/mmuskinj/work/Charm/charmplot/charmplot/scripts/plot_post_fit.py -a ./charm_frag_diff.yaml --trex-input /global/cfs/cdirs/atlas/wcharm/trex_frag/charm_frag_9_R${TRACK_JET_RADIUS}_v1/wplusd_madgraph -v Dmeson_track_jet_${TRACK_JET_RADIUS}_zt_unfold -k "Dplus_jet,_LS_,_RS_" --suffix zt

python /global/homes/m/mmuskinj/work/Charm/charmplot/charmplot/scripts/plot_post_fit.py -a ./charm_frag_diff.yaml --trex-input /global/cfs/cdirs/atlas/wcharm/trex_frag/charm_frag_9_R${TRACK_JET_RADIUS}_v1/wplusd_madgraph -v Dmeson_track_jet_${TRACK_JET_RADIUS}_zt_unfold -k "Dplus_jet,_LS_,_RS_" -b --suffix zt_sub

python /global/homes/m/mmuskinj/work/Charm/charmplot/charmplot/scripts/plot_post_fit.py -a ./charm_frag_diff.yaml --trex-input /global/cfs/cdirs/atlas/wcharm/trex_frag/charm_frag_9_R${TRACK_JET_RADIUS}_v1/wplusd_madgraph -v Dmeson_track_jet_${TRACK_JET_RADIUS}_zl_unfold -k "Dplus_jet,_LS_,_RS_" --suffix zl

python /global/homes/m/mmuskinj/work/Charm/charmplot/charmplot/scripts/plot_post_fit.py -a ./charm_frag_diff.yaml --trex-input /global/cfs/cdirs/atlas/wcharm/trex_frag/charm_frag_9_R${TRACK_JET_RADIUS}_v1/wplusd_madgraph -v Dmeson_track_jet_${TRACK_JET_RADIUS}_zl_unfold -k "Dplus_jet,_LS_,_RS_" -b --suffix zl_sub

python /global/homes/m/mmuskinj/work/Charm/charmplot/charmplot/scripts/plot_post_fit.py -a ./charm_frag_diff.yaml --trex-input /global/cfs/cdirs/atlas/wcharm/trex_frag/charm_frag_9_R${TRACK_JET_RADIUS}_v1/wplusd_madgraph -v Dmeson_pt -k "Dplus_jet,_LS_,_RS_" --suffix pt

python /global/homes/m/mmuskinj/work/Charm/charmplot/charmplot/scripts/plot_post_fit.py -a ./charm_frag_diff.yaml --trex-input /global/cfs/cdirs/atlas/wcharm/trex_frag/charm_frag_9_R${TRACK_JET_RADIUS}_v1/wplusd_madgraph -v Dmeson_pt -k "Dplus_jet,_LS_,_RS_" -b --suffix pt_sub

python /global/homes/m/mmuskinj/work/Charm/charmplot/charmplot/scripts/plot_post_fit.py -a ./charm_frag_diff.yaml --trex-input /global/cfs/cdirs/atlas/wcharm/trex_frag/charm_frag_9_R${TRACK_JET_RADIUS}_v1/wplusd_madgraph -v Dmeson_track_jet_${TRACK_JET_RADIUS}_pt -k "Dplus_jet,_LS_,_RS_" --suffix pt_jet

python /global/homes/m/mmuskinj/work/Charm/charmplot/charmplot/scripts/plot_post_fit.py -a ./charm_frag_diff.yaml --trex-input /global/cfs/cdirs/atlas/wcharm/trex_frag/charm_frag_9_R${TRACK_JET_RADIUS}_v1/wplusd_madgraph -v Dmeson_track_jet_${TRACK_JET_RADIUS}_pt -k "Dplus_jet,_LS_,_RS_" -b --suffix pt_jet_sub

# LS / RS validation (optional)
python /global/homes/m/mmuskinj/work/Charm/charmplot/charmplot/scripts/plot_post_fit.py -a ./charm_frag_diff.yaml --trex-input /global/cfs/cdirs/atlas/wcharm/trex_frag/charm_frag_9_R${TRACK_JET_RADIUS}_v1/wplusd_madgraph -v Dmeson_track_jet_${TRACK_JET_RADIUS}_zt_unfold -k "Dplus_jet,_PR_,_RS_" --suffix zt_LS -r 100

python /global/homes/m/mmuskinj/work/Charm/charmplot/charmplot/scripts/plot_post_fit.py -a ./charm_frag_diff.yaml --trex-input /global/cfs/cdirs/atlas/wcharm/trex_frag/charm_frag_9_R${TRACK_JET_RADIUS}_v1/wplusd_madgraph -v Dmeson_track_jet_${TRACK_JET_RADIUS}_zt_unfold -k "Dplus_jet,_PR_,_LS_" --suffix zt_RS -r 100

# Asimov
python /global/homes/m/mmuskinj/work/Charm/charmplot/charmplot/scripts/plot_post_fit.py -a ./charm_frag_diff.yaml --trex-input /global/cfs/cdirs/atlas/wcharm/trex_frag/charm_frag_9_R${TRACK_JET_RADIUS}_v1/wplusd_madgraph_asimov -v Dmeson_track_jet_${TRACK_JET_RADIUS}_zt_unfold -k "Dplus_jet,_LS_,_RS_" --suffix zt_asimov
